Passer au contenu principal

MiniMaxAdded Sep 2, 2026Video generationPrivateUncensored

MiniMax H3 Max Turbo

MiniMax H3 Max Turbo is a faster version of MiniMax H3 Max, generating 5- to 15-second clips at up to 1080p from text with native stereo audio.

minimax-h3-max-turbo-text-to-videoPOST https://api.venice.ai/api/v1/video/queue
From
$0.021 / sec
up to $0.0671 / sec
Draft clip
$0.17
5s · 768p · audio
Production clip
$0.67
10s · 1080p · audio
Max resolution
1080p
3 options
Duration
5–15s
11 options
Audio
Native

Pricing

USD per clip
Resolution
Duration5s
Per clip
$0.11
5s · 480p · with audio
Per second
$0.021
any length
Clip price by duration and resolution
Duration480p768p1080p
Per second$0.021$0.0336$0.0671
5s
10s
15s

Any length from 5 to 15 seconds, priced per second. Quoted from POST /video/quote on Nov 5, 2026.

Examples

Specs

Model ID
minimax-h3-max-turbo-text-to-video
Endpoint
POST /api/v1/video/queue
Mode
Text to video
Inputs
Prompt
Resolutions
480p, 768p, 1080p
Durations
5–15s, any whole second
Aspect ratios
16:921:94:31:13:49:16
Audio
Always generated
Prompt limit
10,000 characters
Added
Sep 2, 2026
POST/api/v1/video/queue
# 1. Queue the job (returns a queue_id)
curl https://api.venice.ai/api/v1/video/queue \
-H "Authorization: Bearer $VENICE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "minimax-h3-max-turbo-text-to-video",
"prompt": "Slow aerial drone shot over a misty mountain valley at golden hour",
"duration": "5s",
"resolution": "480P",
"aspect_ratio": "16:9"
}'

# 2. Poll until the MP4 is ready
curl https://api.venice.ai/api/v1/video/retrieve \
-H "Authorization: Bearer $VENICE_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "model": "minimax-h3-max-turbo-text-to-video", "queue_id": "<queue_id>" }' --output video.mp4

Privacy

Tier 1
Anonymized

Included

Tier 2 · this model
Private

Zero data retention, enforced by contract. Prompts and outputs aren’t stored.

Tier 3
TEE

Not available

Tier 4
End-to-end encrypted

Not available

Variants

VariantModel IDPrivacyInputsFromMaxAdded
minimax-h3-max-turbo-text-to-videoPrivatePrompt$0.021 / sec1080pSep 2026
minimax-h3-max-turbo-image-to-videoPrivatePrompt, Image$0.021 / sec1080pSep 2026